Neonode zForce(TM) SDK

Public Attributes | List of all members
DoubleClickPreventionMessage Struct Reference

This structure represents a double-click prevention message. More...

`#include <DoubleClickPreventionMessage.h>`

## Public Attributes
MessageType | MessageType
MessageGroup | MessageGroup
bool | Error
int | ErrorCode
uint64_t | SerialNumber
void(* | Destructor )(Message *self)
bool | Enabled
| True when Double-Click Prevention is enabled.
bool | HasEnabled
| True when Enabled is valid.
uint32_t | DoubleClickPreventionTime
bool | HasDoubleClickPreventionTime
| True when DoubleClickPreventionTime is valid.
uint32_t | DoubleClickPreventionRadius
bool | HasDoubleClickPreventionRadius
| True when DoubleClickPreventionRadius is valid.

## Detailed Description

This structure represents a double-click prevention message.

This structure represents a message that configures the double-click prevention settings.

## Member Data Documentation

## ◆ Destructor

void( * DoubleClickPreventionMessage::Destructor) (Message *self)

Destructor.
Inherited from Message base class.

## ◆ DoubleClickPreventionRadius

uint32_t DoubleClickPreventionMessage::DoubleClickPreventionRadius

The radius of the area around the touch defining area where touches are suppressed.

## ◆ DoubleClickPreventionTime

uint32_t DoubleClickPreventionMessage::DoubleClickPreventionTime

Time period when no additional touches will be reported in prevention area.

## ◆ Error

bool DoubleClickPreventionMessage::Error

If an error occurred, this is True.
Inherited from Message base class.

## ◆ ErrorCode

int DoubleClickPreventionMessage::ErrorCode

Error Code, valid when Error == true.
Inherited from Message base class.

## ◆ MessageGroup

MessageGroup DoubleClickPreventionMessage::MessageGroup

The Message Group of the Message.
Inherited from Message base class.

## ◆ MessageType

MessageType DoubleClickPreventionMessage::MessageType

The Message Type of the Message.
Inherited from Message base class.

## ◆ SerialNumber

uint64_t DoubleClickPreventionMessage::SerialNumber

Unique serial number for this message.
Inherited from Message base class.

The documentation for this struct was generated from the following file:

- DoubleClickPreventionMessage.h